{
  pkgs,
  lib,
  ...
}: {
  environment.etc."pkcs11/modules/ykcs11".text = ''
    module: ${pkgs.yubico-piv-tool}/lib/libykcs11.so
  '';

  services = {
    pcscd.enable = true;
    udev.packages = [pkgs.yubikey-personalization];
  };
}
